<?php 

namespace Teknisa\ACL\Services;

use Teknisa\ACL\Util\InstanceProvider;
use Teknisa\ACL\Util\AclUtilities;
use Teknisa\ACL\Util\Messages;
use Teknisa\ACL\Repositories\Crud;
use Teknisa\Libs\Util\Utilities as LibUtilities;
use Zeedhi\Framework\Remote\FileUploader\Server;


class GrupoOperador {

    public function findGrupoper($conditions) {
        $grupoOperadorRepositorio = InstanceProvider::getRepository()->getGrupoOperador();
        $oper = false;
        if(!empty($conditions)){
            foreach($conditions as $key => $value){
                if($value['columnName'] == 'NRPERFILACESSO'){
                    $oper = true;    
                }
            }
        }
        if(!$oper){
            $conditions = $grupoOperadorRepositorio->findGrupo($conditions);
        }
       else{
            $conditions = $grupoOperadorRepositorio->findGrupoComOper($conditions);
       }
        return $conditions;
    }
    
}